Package net.snowflake.client.core.auth.wif

## Class AzureIdentityAttestationCreator

- java.lang.Object
- - net.snowflake.client.core.auth.wif.AzureIdentityAttestationCreator

    @SnowflakeJdbcInternalApi
    public class AzureIdentityAttestationCreator
    extends Object

### Field Summary

Fields
`static com.fasterxml.jackson.databind.ObjectMapper` `objectMapper`

### Constructor Summary

Constructors
`AzureIdentityAttestationCreator​(AzureAttestationService azureAttestationService, SFLoginInput loginInput)`
`AzureIdentityAttestationCreator​(AzureAttestationService azureAttestationService, SFLoginInput loginInput, String azureMetadataServiceBaseUrl)` Only for testing purpose

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkloadIdentityAttestation` `createAttestation()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### objectMapper

    public static final com.fasterxml.jackson.databind.ObjectMapper objectMapper

### Constructor Detail

#### AzureIdentityAttestationCreator

    public AzureIdentityAttestationCreator​(AzureAttestationService azureAttestationService,
                                           SFLoginInput loginInput)

#### AzureIdentityAttestationCreator

    public AzureIdentityAttestationCreator​(AzureAttestationService azureAttestationService,
                                           SFLoginInput loginInput,
                                           String azureMetadataServiceBaseUrl)

Only for testing purpose

### Method Detail

#### createAttestation

    public WorkloadIdentityAttestation createAttestation()